extends Control


func reprendre() -> void:
	hide()
	AudioServer.set_bus_effect_enabled(2,  1,false)
	get_tree().set_pause(false)


func _unhandled_input(event: InputEvent) -> void:
	if event.is_action_released("ui_pause"):
		if get_tree().is_paused():
			reprendre()
		else:
			AudioServer.set_bus_effect_enabled(2, 1, true)
			get_tree().set_pause(true)
			show()


func _quand_bouton_reprendre_est_presse():
	reprendre()


func _quand_bouton_retour_titre_est_presse():
	reprendre()
	get_tree().reload_current_scene()


func _quand_bouton_quitter_est_presse():
	get_tree().quit()


func _on_visibility_changed():
	%Reprendre.grab_focus()

